/**
 * 微信平台需要更新
 */
export const wxUpgrade = () => {
  const updateManager = uni.getUpdateManager()
  updateManager.onCheckForUpdate((res) => {
    console.log('onCheckForUpdate', res)
  })

  updateManager.onUpdateReady((res) => {
    console.log(res)
    uni.showModal({
      title: '更新提示',
      content: '新版本已经准备好，是否重启应用？',
      success(res) {
        if (res.confirm) {
          // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
          updateManager.applyUpdate()
        }
      }
    })
  })

  updateManager.onUpdateFailed((res) => {
    console.log(res)
    // 新的版本下载失败
    uni.showModal({
      title: '提示',
      content: '新版小程序下载失败\n请自行退出程序，手动卸载本程序，再运行',
      confirmText: '知道了'
    })
  })
}
